## python-maxminddb 1.2.0

=== debian/changelog ===
python-maxminddb (1.2.0-1.2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:19 +0000

python-maxminddb (1.2.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not override the way we run tests but instead ensure that README.rst
    exists in the build directory. That way we test the correct code and the
    built extension.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Jan 2016 17:19:28 +0100

python-maxminddb (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run tests in a way that does not change the current directory
    so that the tests can rely on the existence of README.rst.
    Closes: #805689

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Jan 2016 16:54:16 +0100

python-maxminddb (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #768984)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 13 May 2015 12:54:06 +0300
