=== debian/control ===
Source: python-maxminddb
Maintainer: Faidon Liambotis <paravoid@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all-dev,
 python-setuptools,
 python3-all-dev,
 python3-setuptools,
 python-nose,
 python3-nose,
 python-docutils,
 python3-docutils,
 python-sphinx,
 python3-sphinx,
 python-ipaddr,
 libmaxminddb-dev
Standards-Version: 3.9.6.1
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/collab-maint/python-maxminddb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-maxminddb.git;a=summary

Package: python-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the Python 2 version of the package.

Package: python3-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the Python 3 version of the package.

Package: python-maxminddb-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.
