## python-maxminddb 1.2.1

=== debian/changelog ===
python-maxminddb (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on python-ipaddress instead of python-ipaddr, per upstream's
    change.
  * Bump Standards-Version to 3.9.8.
  * Switch Vcs-Git/Vcs-Browser to https URLs.
  * Add doc-base file for python-maxminddb-doc.
  * Remove maxminddb.egg-info/ on clean as well.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 15 Jul 2016 13:28:12 +0300
