=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  python3-docutils,
  python-sphinx,
  python3-sphinx,
- python-ipaddr,
+ python-ipaddress,
  libmaxminddb-dev
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-maxminddb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-maxminddb.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-maxminddb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-maxminddb.git
 
 Package: python-maxminddb
 Architecture: any
