## python-maxminddb 1.2.3

=== debian/changelog ===
python-maxminddb (1.2.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 14:37:06 +0100

python-maxminddb (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 25 Jan 2017 11:05:24 +0200

python-maxminddb (1.2.2-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Added Homepage
  * Bumped debhelper compat version to 10
  * Added autopkgtest-pkg-python testsuite

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 17 Dec 2016 03:06:44 +0200
