=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
  python-setuptools,
@@ -17,10 +17,12 @@
  python-ipaddress,
  libmaxminddb-dev
 Standards-Version: 3.9.8
+Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-maxminddb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-maxminddb.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-maxminddb
 Architecture: any
