## python-maxminddb 1.3.0

=== debian/changelog ===
python-maxminddb (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Enable additional hardening (hardening=+all)

  [ Faidon Liambotis ]
  * Bump Standards-Version to 4.0.0.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Aug 2017 22:55:29 +0300
