=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python-ipaddress,
  libmaxminddb-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
