=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
 
 %:
@@ -12,7 +13,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f maxminddb/extension.so maxminddb/extension.*.so
-	rm -rf .build
+	rm -rf .build/ maxminddb.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- --before-test "ln -sf {dir}/README.rst {build_dir}/" \
