=== debian/watch ===
version=3
http://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))
