## python-maxminddb 1.4.1

=== debian/changelog ===
python-maxminddb (1.4.1-2) unstable; urgency=medium

  * Drop Python 2 binary package. (Closes: #937909)
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Include the full text of the CC-BY-SA-3.0-Unported license.
  * Add Built-Using to the python-maxminddb-doc package, set to
    ${sphinxdoc:Built-Using}.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 04 Sep 2019 16:04:57 +0300

python-maxminddb (1.4.1-1) unstable; urgency=medium

  * New upstream release, fixes test failure (and thus FTBFS) with Python 3.7.
    (Closes: #902756)

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 30 Jun 2018 17:38:07 +0300

python-maxminddb (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Update Copyright years in debian/copyright.
  * Build-Depend on python{,3}-mock.
  * Drop X-Python-Version/X-Python3-Version; the 2.6/3.3 minimums are ancient
    and can be satisfied even by oldstable.
  * Switch pypi.debian.net's URL to HTTPS.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 May 2018 20:10:54 +0300
