=== debian/control ===
Source: python-maxminddb
Maintainer: Faidon Liambotis <paravoid@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-nose,
 python3-mock,
 python3-docutils,
 python3-sphinx,
 libmaxminddb-dev
Standards-Version: 4.4.0
Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
Testsuite: autopkgtest-pkg-python

Package: python3-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).

Package: python-maxminddb-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.
