## python-maxminddb 1.5.2

=== debian/changelog ===
python-maxminddb (1.5.2-0ubuntu1) focal; urgency=medium

  * New upstream release: 1.5.2 (LP: #1867919)
  * Rebuild sphinx docs to avoid shipping other copies of several
    javascript files, like jquery.js, in the doc package:
    - d/p/rebuild-sphinx-docs.patch: pull in upstream's sphinx-build conf.py
    - d/rules: use docs-source for building docs
    - d/rules: remove the index.rst file from docs-source during clean
  * d/control: add Rules-Requires-Root: no
  * d/rules: update dh_auto_clean override

  [ Faidon Liambotis]
  * d/copyright: Switch the copyright format URI to https

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 18 Mar 2020 17:57:58 -0300

python-maxminddb (1.4.1-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:27 +0100

python-maxminddb (1.4.1-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:04 +0000
