=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-maxminddb
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -17,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-maxminddb
 Architecture: any
