=== debian/watch ===
version=3
https://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))
