## python-maxminddb 1.5.4

=== debian/changelog ===
python-maxminddb (1.5.4-0ubuntu1) groovy; urgency=medium

  * New upstream release: 1.5.4
  * d/p/rebuild-sphinx-docs.patch: update from upstream's 1.5.4

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jun 2020 17:00:28 -0300
