## python-maxminddb 2.0.3

=== debian/changelog ===
python-maxminddb (2.0.3-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:57:55 +0000

python-maxminddb (2.0.3-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:42 +0000

python-maxminddb (2.0.3-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:57 +0200

python-maxminddb (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add myself as Uploader.
  * d/p/Stop-using-deprecated-Feature-from-setuptools.patch: Remove patch.
    The patch was incorporated by upstream.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 10 Dec 2020 23:29:45 -0500

python-maxminddb (1.4.1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Switch the copyright format URI to https
  * Ship examples/ in the doc package

  [ Ondřej Nový ]
  * Stop using deprecated Feature from setuptools (Closes: #959544)
  * Bump debhelper compat level to 13
  * d/watch: Upgrade version to 4
  * Mark Rules-Requires-Root: no
  * Bump standards version to 4.5.1
  * Add myself as uploader (Closes: #975001)

 -- Ondřej Nový <onovy@debian.org>  Tue, 24 Nov 2020 13:04:16 +0100
