=== debian/watch ===
version=4
https://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))
