## python-maxminddb 2.2.0

=== debian/changelog ===
python-maxminddb (2.2.0-1) unstable; urgency=medium

  * Acknowledge NMU, with gratitude to Stefano Rivera.
  * Add autopkgtest, running the upstream test suite.
  * Tag the python-maxminddb-doc package with Multi-Arch: foreign.
  * Add support for the "nocheck" and "nodoc" build profiles.
  * Simplify debian/rules:
    - Use dh-sequence-python3 and dh-sequence-sphinxdoc instead of dh --with.
    - Replace override_dh_auto_build with execute_before_dh_auto_build.
    - Replace override_dh_auto_clean with debian/clean.
    - Replace override_dh_auto_test with debian/pybuild.testfiles.
  * Drop python3-mock dependency, replaced upstream since v2.0.0.
  * Update copyright years.
  * Add upstream metadata.
  * Bump Standards-Version to 4.6.2, no further changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 16 Jan 2023 12:42:00 +0200

python-maxminddb (2.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Switch from nose to pytest, following upstream. (Closes: #1018530)
  * Bump copyright years.
  * Patch: Add support for setuptools >= 60 (Closes: #1022449)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 09:45:17 +0200
