=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: python-maxminddb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
+Uploaders: Ondřej Nový <onovy@debian.org>,
+	   Sergio Durigan Junior <sergiodj@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all-dev,
  python3-setuptools,
- python3-nose,
- python3-mock,
- python3-docutils,
- python3-sphinx,
+ python3-pytest <!nocheck>,
+ python3-docutils <!nodoc>,
+ python3-sphinx <!nodoc>,
  libmaxminddb-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-maxminddb
@@ -34,6 +36,7 @@
 Package: python-maxminddb-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Python module for reading the MaxMind DB format (documentation)
