## python-maxminddb 2.4.0

=== debian/changelog ===
python-maxminddb (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop backported patch avoid-distutils.
  * Update copyright years.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 14 Jul 2023 02:52:00 +0300
