## python-maxminddb 2.5.2

=== debian/changelog ===
python-maxminddb (2.5.2-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:59 +0200

python-maxminddb (2.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 16 Jan 2024 09:58:03 +0200

python-maxminddb (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Pass MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB to use the system copy of
      libmaxminddb, rather than the embedded copy introduced in 2.5.x.
  * Add Build-Depends on python3-setuptools-scm and python3-wheel, and switch
    to the pyproject pybuild plugin, as pyproject.toml is used now by
    upstream.
  * Remove sphinxdoc:Built-Using from the doc package, to address Lintian
    built-using-field-on-arch-all-package.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 13 Nov 2023 07:40:57 +0200
