=== debian/control ===
Source: python-maxminddb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
 Sergio Durigan Junior <sergiodj@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-setuptools-scm,
 python3-wheel,
 python3-pytest <!nocheck>,
 python3-docutils <!nodoc>,
 python3-sphinx <!nodoc>,
 libmaxminddb-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-maxminddb
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-maxmindb-doc,
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).

Package: python-maxminddb-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.
