=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,14 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
+
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
+
+# use the system copy rather than the embedded libmaxminddb copy
+export MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB=1
 
 %:
 	dh $@ --buildsystem=pybuild
