## python-maxminddb 2.6.0

=== debian/changelog ===
python-maxminddb (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove Ondřej Nový and Sergio Durigan Junior from Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 20 Mar 2024 15:22:24 +0200
