=== debian/control ===
--- 
+++ 
@@ -1,9 +1,5 @@
 Source: python-maxminddb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Uploaders:
- Ondřej Nový <onovy@debian.org>,
- Sergio Durigan Junior <sergiodj@debian.org>,
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
