=== extension/libmaxminddb/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required (VERSION 3.9)
+cmake_minimum_required (VERSION 3.9...3.30)
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.9.0
+  VERSION 1.12.0
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)
@@ -13,6 +13,9 @@
 endif()
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 option(BUILD_TESTING "Build test programs" ON)
+option(BUILD_FUZZING "Build with fuzzer" OFF)
+option(MAXMINDDB_BUILD_BINARIES "Build binaries" ON)
+option(MAXMINDDB_INSTALL "Generate the install target" ON)
 
 include(GNUInstallDirs)
 
@@ -81,7 +84,6 @@
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/generated/>
   $<INSTALL_INTERFACE:include>
-  $<INSTALL_INTERFACE:generated>
 )
 
 set(MAXMINDB_HEADERS
@@ -90,17 +92,47 @@
 )
 set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")
 
-install(TARGETS maxminddb
-	EXPORT maxminddb)
+if (MAXMINDDB_INSTALL)
+  install(TARGETS maxminddb
+    EXPORT maxminddb)
 
-# This is required to work with FetchContent
-install(EXPORT maxminddb
-        FILE maxminddb-config.cmake
-        NAMESPACE maxminddb::
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+  # This is required to work with FetchContent
+  install(EXPORT maxminddb
+          FILE maxminddb-config.cmake
+          NAMESPACE maxminddb::
+          DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+endif()
 
-# We always want to build mmdblookup
-add_subdirectory(bin)
+if (MAXMINDDB_BUILD_BINARIES)
+  add_subdirectory(bin)
+endif()
+
+# Check if man pages exist, if not, generate them
+if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/man")
+    find_program(PERL perl)
+    if(PERL)
+        message(STATUS "Generating man pages")
+        execute_process(
+            COMMAND ${PERL} ${CMAKE_CURRENT_SOURCE_DIR}/dev-bin/make-man-pages.pl
+            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        )
+    else()
+        message(WARNING "Perl not found. Unable to generate man pages.")
+    endif()
+endif()
+
+# Install man pages if they exist
+if(MAXMINDDB_INSTALL AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/man")
+    install(
+        DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/man1
+        DESTINATION ${CMAKE_INSTALL_MANDIR}
+    )
+
+    install(
+        DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/man3
+        DESTINATION ${CMAKE_INSTALL_MANDIR}
+    )
+endif()
 
 if (BUILD_TESTING)
   enable_testing()
@@ -110,14 +142,27 @@
 # Generate libmaxminddb.pc file for pkg-config
 # Set the required variables as same with autotools
 set(prefix ${CMAKE_INSTALL_PREFIX})
-set(exec_prefix \${prefix})
-set(libdir \${exec_prefix}/lib)
-set(includedir \${prefix}/include)
+set(exec_prefix ${CMAKE_INSTALL_PREFIX})
+set(libdir ${CMAKE_INSTALL_LIBDIR})
+set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
 set(PACKAGE_VERSION ${maxminddb_VERSION})
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
-  ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  @ONLY)
+if (MAXMINDDB_INSTALL)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
+    ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    @ONLY)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+endif()
+
+# uninstall target
+if(NOT TARGET uninstall)
+  configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+
+  add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()
