=== debian/changelog ===
python-maxminddb (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 16 Feb 2025 13:40:38 +0200
