## python-maxminddb 2.8.2

=== extension/libmaxminddb/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.12.0
+  VERSION 1.12.2
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)
