=== debian/changelog ===
python-maxminddb (2.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 26 Aug 2025 14:25:29 +0300
