=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  libmaxminddb-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
