=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
-
-export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
 # use the system copy rather than the embedded libmaxminddb copy
 export MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB=1
