## python-maxminddb 3.0.0

=== debian/changelog ===
python-maxminddb (3.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Build documentation after the main package build, as importing this
      version now requires package metadata to exist.
  * Update debian/watch to version 5.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 29 Dec 2025 20:07:25 +0200
