=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 	dh $@ --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-execute_before_dh_auto_build:
+execute_after_dh_auto_build:
 	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
 endif
